aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/audit/init.d/auditd.stop
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/audit/init.d/auditd.stop')
-rw-r--r--framework/src/audit/init.d/auditd.stop16
1 files changed, 16 insertions, 0 deletions
diff --git a/framework/src/audit/init.d/auditd.stop b/framework/src/audit/init.d/auditd.stop
new file mode 100644
index 00000000..009da23c
--- /dev/null
+++ b/framework/src/audit/init.d/auditd.stop
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Helper script to provide legacy auditd service options not
+# directly supported by systemd
+
+# Check that we are root ... so non-root users stop here
+test $EUID = 0 || exit 4
+
+PATH=/sbin:/bin:/usr/bin:/usr/sbin
+prog="auditd"
+source /etc/init.d/functions
+
+echo -n $"Stopping logging: "
+killproc $prog -TERM
+RETVAL=$?
+echo
+exit $RETVAL